Bug 212313 - nfs mounts in kickstart %post fail - portmap not running
nfs mounts in kickstart %post fail - portmap not running
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 02:51 EDT by Steve Cliffe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 14:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Cliffe 2006-10-26 02:51:52 EDT
Description of problem:

Mounting of nfs filesystems in the %post section of kickstart fail due to
portmap not running. 

Version-Release number of selected component (if applicable):

FC6 release

How reproducible:

Consistently reproducible

Steps to Reproduce:
1. mount.nfs nfsserver:/directory /mountpoint
Actual results:

Times out - unable to contact local portmap

Expected results:

Should mount filesystem

Additional info:

Using /usr/bin/mount instead of /sbin/mount.nfs works fine. 

Workaround is to start portmap in the %post section of the kickstart file before
attempting to mount nfs directories.
Comment 1 Jeremy Katz 2006-10-30 14:16:31 EST
You need to use -o nolock if you're using mount from within the chroot.  A
portmapper _isn't_ running (and won't be)

Note You need to log in before you can comment on or make changes to this bug.